.TH atscut 1 "2007-Dec-07" "atscut-1.1.6" "(C) 2004-2007 inkling@users.sourceforge.net"
.SH NAME
.B atscut \- ATSC Transport Stream Container UTility

.SH SYNOPSIS
.PP
.B atscut infile
.IP
.B [-fghnqs]
.br
.B [-p outpath]
.br
.B [-o outbase]
.br
.B [-e pgmnum]
.br
.B [-k pid]
.br
.B [-y pid]
.br
.B [-r pmtfile]
.br
.B [-d num]
.br

.SH DESCRIPTION
.PP
This manual page describes the options for
.B atscut,
a tool for analyzing packets in
North American ATSC broadcast transport streams.

.SH RUNNING WITHOUT OPTIONS
Defaults generate a report of
.B infile
with stream counts and errors.

.SH OPTIONS WITHOUT PARAMETERS
These options allow user to select output methods.
.TP
.B \-f
Forge PAT + PMT to one video + one audio. See
.B -e

.TP
.B \-g
EPG Guide dump at end of processing. See
.B -q
and
.B BUGS

.TP
.B \-h
Help. May be more up-to-date than this manual page.

.TP
.B \-n
NULLs: keeps the bitrate same as source file.

.TP
.B \-q
Quiet, redux stdout to only version changes + PES.

.TP
.B \-s
Generate frame/sequence .tsx files for xtscut.
.IP
This requires single VC capture or extract to work. Use
.B atscap -m
option to generate .tsx files during single program capture.
You can also use
.B atscut -e
to extract a single program stream before using
.B atscut -s.

.SH OPTIONS WITH PARAMETERS
These options allow user to supply output parameters.
.PP
Packet extraction control (PIDs are given in hexadecimal):
.TP
.B \-p outpath
Output path. Default is ./

.TP
.B \-o outbase
Use this output basename instead of basename from input.

.TP
.B \-d int
Duty cycle %, e.g. -d95. Default 100, no sleeping.
Lower CPU usage prevents interference with capture program.

.TP
.B \-e pgm
Extract single Program number pgm from multiplex capture.
.IP
Program numbers are 1-65534, not 0 or 65535. A multiplex capture the
same as Full capture mode in atscap. It gets the entire stream. If
there are multiple Video and Audio streams, like most cable stations
and broadcast stations with secondary Virtual Channels, the full
capture will not work with
.B Xtscut.
.IP
.B atscut
can use the full multiplex stream to extract ATSC information, including
the EPG and other useful ATSC information. The MPEG multiplex information
can also be inspected with
.B atscut.

This option is used to extract a single program from from all the noise
so you can do further processing with
.B atscut
or perhaps do some cutting on the stream with
.B Xtscut.
The extract is in the same Transport Stream format as the source material.

.TP
.B \-y pid
Extracts Video ES from Transport Stream PID.
.IP
It still has some non-video junk like PES header 1E0, User Private Stream
header 1B2, and maybe others depending on the source material. The output
will work with mpeg2dec, and it should also work with
.B Xtscut.
.IP
This option is considered
.B EXPERIMENTAL
since the output has no audio and Xine does not like to play it with the
above mentioned junk start codes in the stream.

.TP
.B \-k pid
Keep this hexadecimal
.B PID (Packet ID)
and save to outbase.
.IP
Output filename is input with -pid inserted before .ts.
.IP
You may specify multiple -k's options to get more than one hexadecimal 
.B pid.
.br
.IP
.B -k mgt
will keep ATSC PSIP packets for debug,
but requires full stream capture via
.B atscap
or other tools for raw ATSC data. EPG or capture problems
can be solved by looking at this data.

.SH OPTIONS FOR DEBUGGING
.TP
.B \-r patfile
Replace Progam Association PID 0000 with 188 bytes from
.B patfile.
You shouldn't have to use this unless your station is really out of spec,
or your source material is is poorly constructed.

.SH OPTIONS FOR VERBOSITY
.PP
Default is to give summary counts at EOF because video/audio errors
become more interesting, after understanding the ATSC PSIP bugs.
.PP
You may specify these options multiple times, too.

.TP
.B \-v num
Verbose bits, global enables: see -m -a
 1:PKT   2:ATSC 4:MPEG   8: SYN
.br
16:PSI0 32:xxx 64:xxx  128:xxxx

.TP
.B \-m num
MPEG detail level bits:
 1:PAT  2:PMT  4:AUD   8:VID
.br
16:SMB 32:PAY 64:PCR 128:IPB

.TP
.B \-a num
ATSC detail level bits (only for full streams):
 1:MGT  2:VCT  4:EIT   8:ETT
.br
16:RRT 32:PAY 64:STT 128:CVCT


.SH BUGS/LIMITATIONS
.PP
Some
.B -g
EPG output is missing when using
.B -q
option because EIT/ETT version chicken-and-egg. Don't use -q with -g.
-g may disable -q in later versions to cause further user confusion.

.SH SEE ALSO
atscap(1), xtscut(1)

.SH AUTHOR
.PP
The author of this manual page is <inkling@users.sourceforge.net>.
.SH COPYRIGHT
.PP
This manual page is part of the atscap-1.1 distribution software.
.PP
atscut is Copyright (C) 2004-2007 by 
.B <inkling@users.sourceforge.net>

.SH LICENSE
.PP
Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU General Public License, Version 2.
.PP
A copy of the license with the file name COPYING or LICENSE should have been
included in this distribution. If it was not included, or you did not receive
the sourcecode for this software, please contact me,
.B <inkling@users.sourceforge.net>,
or write to:
.IP
 The Free Software Foundation, Inc.
 51 Franklin Street, Fifth Floor
 Boston, MA 02110-1301, USA
